(defun draw()
	(setq osm (getvar "osmode")) 
  	(setvar "osmode" 0) 
	(command "pline" pt0 pt1_1 pt1_2 "" )
  	(setq pl1 (entlast))
	(command "pline" pt1_2 pt2_1 pt2_2 "" )
 	(setq pl2 (entlast))
	(command "pline" pt2_2 pt3_1 pt3_2 "" )
  	(setq pl3 (entlast))
	(command "pline" pt3_2 pt4_1 pt0 "" )
  	(setq pl4 (entlast))
  	
  	(setvar "SURFTAB1" (atoi veb_m))
  	(setvar "SURFTAB2" (atoi veb_n))
	(command "edgesurf" pl1 pl2 pl3 pl4 )
  	(setvar "osmode" osm) 
  )
  
(defun getmypt()   
  (setq pt (getpoint))
  (setq veb_x (rtos (car pt) 2 3))
  (setq veb_y (rtos (cadr pt) 2 3 ))
  (setq pt0 (list (atoi veb_x)  (atoi veb_y) ))

)  

(defun getcolor	()
  (setq num_color (acad_colordlg num_color))
  (command "color" num_color)
)
  
(defun getfile ()
  (setq f (getfiled "fail polilinii" "D:\\gleb\\Lisp2var\\polylines.txt" 0 ))
  (if (/=(findfile f ) nil)
	(progn
		(setq fl (open (findfile f) "r"))
		(setq pt1_1 (mapcar '+ pt0 (read (read-line fl))))
		(setq pt1_2 (mapcar '+ pt1_1 (read (read-line fl))))
		(setq pt2_1 (mapcar '+ pt1_2 (read (read-line fl))))
		(setq pt2_2 (mapcar '+ pt2_1 (read (read-line fl))))
		(setq pt3_1 (mapcar '+ pt2_2 (read (read-line fl))))
		(setq pt3_2 (mapcar '+ pt3_1 (read (read-line fl))))
		(setq pt4_1 (mapcar '+ pt3_2 (read (read-line fl))))
		(close fl)
	)
	(alert "fail ne naiden!")
	)	      
)

 
 
  
 (defun run ()
  (if (not (new_dialog "lab_dcl" dcl_id)) (exit))

 
  (set_tile "eb_m" veb_m)
  (set_tile "eb_n" veb_n)
  (set_tile "eb_x" veb_x)
  (set_tile "eb_y" veb_y)


    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(setq w_n 0)")
    (action_tile "bt_color" "(done_dialog 2)")
    (action_tile "bt_mouse" "(done_dialog 3)")
    (action_tile "bt_file" "(done_dialog 4)")
	(action_tile "eb_m" "(setq veb_m $value)")
	(action_tile "eb_n" "(setq veb_n $value)")
    (action_tile "eb_x" "(setq veb_x $value)")
    (action_tile "eb_y" "(setq veb_y $value)") 
    


  (setq w_n (start_dialog))
  (if (= w_n 1) (draw))
  (if (= w_n 2) (getcolor))
  (if (= w_n 3) (getmypt))
  (if (= w_n 4) (getfile))
)
  
(defun c:laba ()
  (setq veb_m "6" veb_n "5" w_n 10 veb_x "10" veb_y "10" num_color 0)  
  (setq dcl_id (load_dialog "D:\\gleb\\Lisp2var\\lab_dcl"))
  (while (> w_n 0) (run))
  (unload_dialog dcl_id)
)

(c:laba)
