(DEFUN c:mp_paral (/ dcl_id nub Dl Sh Hi) ;   mp_paral
  ;---------------------  mp_kub --------------------------------------
  (DEFUN mp_kub	(Dl Sh Hi / p1 p2 p3 p4 p5 p6 p7 p8) ;   mp_kub
    (setq p1 (getpoint "\n   : "))
					;    
    (setq p2 (polar p1 0 Dl))		;    2
    (setq p3 (polar p2 (/ pi 2) Hi))	;    3
    (setq p4 (polar p3 pi Dl))		;    4
    (setq p5 (polar p1 (/ pi 4) Sh))	;    5
    (setq p6 (polar p2 (/ pi 4) Sh))	;    6
    (setq p7 (polar p3 (/ pi 4) Sh))	;    7
    (setq p8 (polar p4 (/ pi 4) Sh))	;    8

    (setq osm (getvar "osmode"))	;   
    (setvar "osmode" 0)			;  

    (command "_line" p1 p2 p3 p4 p1 "")	;   
    (command "_line" p5 p6 p7 p8 p5 "")	;   
    (command "_line" p1 p5 "")		;   1-5
    (command "_line" p2 p6 "")		;   2-6
    (command "_line" p3 p7 "")		;   3-7
    (command "_line" p4 p8 "")		;   4-8

    (setvar "osmode" osm)		;   

  )					;  
  ;-----------------------------------------------------------------------------
  
  ;--------------------  mp_kub -----------------------------------------
  (defun raz_paral ()
    (setq Dl (atoi (get_tile "eb_Dl")))
    (setq Sh (atoi (get_tile "eb_Sh")))
    (setq Hi (atoi (get_tile "eb_Hi")))
  )	  
  ;-----------------------------------------------------------------------------

  ;-----------------------------------------------------------------------------
  ;------------------------     ----------------------------------
  ;-----------------------------------------------------------------------------
  (setq dcl_id (load_dialog "mp_paral.dcl"));   ( DCL)
  (if (not (new_dialog "mp_paral" dcl_id))(exit)); ;   
  
  (action_tile "accept" "(raz_paral) (done_dialog 1)");   "ccept"
  (action_tile "cancel" "(done_dialog 0)");   "cancel"
  (setq ddi (start_dialog))
   
  (unload_dialog dcl_id) ;   
  ;-----------------------------------------------------------------------------

  (if (= ddi 1) (mp_kub Dl Sh Hi))

  (princ)
) ;   mp_paral
