(defun draw()
	(setq osm (getvar "osmode")) 
  	(setvar "osmode" 0) 
	(setq pl1 (nth 0 pli))
	(setq pl2 (nth 1 pli))
  	(setq pl3 (nth 2 pli))
  	(setq pl4 (nth 3 pli))
  	(setvar "SURFTAB1" (atoi veb_m))
  	(setvar "SURFTAB2" (atoi veb_n))
	(command "edgesurf" pl1 pl2 pl3 pl4 )
  	(setvar "osmode" osm) 
  )
  
(defun getmypt()   
  (setq pt (getpoint))
  (setq veb_x (rtos (car pt) 2 3))
  (setq veb_y (rtos (cadr pt) 2 3 ))
  (setq pt0 (list (atoi veb_x)  (atoi veb_y) ))

)  

(defun getcolor	()
  (setq num_color (acad_colordlg num_color))
  (command "color" num_color)
)
  
(defun getfile ()
  (setq f (getfiled "fail polilinii" "c:\\" "txt" 0 ))
  (if (/=(findfile f ) nil)
	(progn
		(setq fl (open (findfile f) "r"))
		(setq X (atoi veb_x) Y (atoi veb_y))   
  		(setq cord (list X Y))
  		(setq pli (list))    
		(setq i 0)
  		
  		(setq lst "l")
(while (< i 4)
(setq pln 1)  
(command "_.pline" cord )
  	(while (= pln 1)            
    		(setq str (read-line fl))
    			(cond
      
      			
      				
				( (= str "stop") (progn 
						(setq pln 0)
						(setq X (nth 0 (getvar "LASTPOINT")))
						(setq Y (nth 1 (getvar "LASTPOINT")))
						(setq cord (list X Y))
						(command "")
						(princ X)
						(princ " ")
						(princ Y)
						(princ "/")
					     )
				)
				( (and (/= str nil)(/= str "stop")) (progn 
									(command str)
						
								    )
				)
			)            
  	)
  (setq new_pl (entlast))
  (setq pli (append pli (list new_pl)))
  (setq i (+ i 1))
)

  	
	(close fl)
	)
	(alert "fail ne naiden!")
	)	      
)

 
 
  
 (defun run ()
  (if (not (new_dialog "lab_dcl" dcl_id)) (exit))

 
  (set_tile "eb_m" veb_m)
  (set_tile "eb_n" veb_n)
  (set_tile "eb_x" veb_x)
  (set_tile "eb_y" veb_y)


    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(setq w_n 0)")
    (action_tile "bt_color" "(done_dialog 2)")
    (action_tile "bt_mouse" "(done_dialog 3)")
    (action_tile "bt_file" "(done_dialog 4)")
	(action_tile "eb_m" "(setq veb_m $value)")
	(action_tile "eb_n" "(setq veb_n $value)")
    (action_tile "eb_x" "(setq veb_x $value)")
    (action_tile "eb_y" "(setq veb_y $value)") 
    


  (setq w_n (start_dialog))
  (if (= w_n 1) (draw))
  (if (= w_n 2) (getcolor))
  (if (= w_n 3) (getmypt))
  (if (= w_n 4) (getfile))
)
  
(defun c:laba ()
  (setq veb_m "6" veb_n "5" w_n 10 veb_x "10" veb_y "10" num_color 0)  
  (setq dcl_id (load_dialog "D:\\gleb\\Lisp2var\\lab_dcl.dcl"))
  (while (> w_n 0) (run))
  (unload_dialog dcl_id)
)

(c:laba)


        